# wxClipboardTextEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxClipboardTextEvent:
[legend]

## Detailed Description

This class represents the events generated by a control (typically a wxTextCtrl but other windows can generate these events as well) when its content gets copied or cut to, or pasted from the clipboard.

There are three types of corresponding events `wxEVT_COMMAND_TEXT_COPY`, `wxEVT_COMMAND_TEXT_CUT` and `wxEVT_COMMAND_TEXT_PASTE`.

If any of these events is processed (without being skipped) by an event handler, the corresponding operation doesn't take place which allows to prevent the text from being copied from or pasted to a control. It is also possible to examine the clipboard contents in the PASTE event handler and transform it in some way before inserting in a control -- for example, changing its case or removing invalid characters.

Finally notice that a CUT event is always preceded by the COPY event which makes it possible to only process the latter if it doesn't matter if the text was copied or cut.

Note:
  These events are currently only generated by wxTextCtrl under GTK+. They are generated by all controls under Windows.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxClipboardTextEvent& event)
Event macros:

- EVT_TEXT_COPY(id, func):
  Some or all of the controls content was copied to the clipboard.
- EVT_TEXT_CUT(id, func):
  Some or all of the controls content was cut (i.e. copied and deleted).
- EVT_TEXT_PASTE(id, func):
  Clipboard content was pasted into the control.

##

Library: wxCore

Category: Events

See also:
  wxClipboard

## Public Member Functions
| wxClipboardTextEvent (wxEventType commandType=wxEVT_NULL, int id=0)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxClipboardTextEvent::wxClipboardTextEvent | ( | wxEventType | commandType = `wxEVT_NULL`,
|  | int | id = `0` |
| ) |  |  |

Constructor.

|  | [ top ]